Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class BaseApp

    java.lang.Object
      oracle.ifs.common.BaseMain
          oracle.ifs.common.BaseApp

All Implemented Interfaces:
  java.lang.Runnable, Logger

Direct Known Subclasses:
  AdminManager, CopyToIfs, CreateClass, CreateClasses, ScriptDriver, VerifyMedia

    public abstract class BaseApp

extends BaseMain
implements java.lang.Runnable

The `BaseApp` class - Base class for iFS protocol servers.

(Unpublished)

Field Summary
`protected DirectoryObject` | `m_currentuser` Deprecated. invoke `getUser` on the session returned from `connect` methods.
`protected LibrarySession` | `m_session` Deprecated. save the session that is returned from `connect` methods.

Fields inherited from class oracle.ifs.common.BaseMain
`m_defaultWriter, m_logWriter, m_parametertable, m_timervalue`

Constructor Summary
`BaseApp(java.lang.String[] args)` Construct with commandline arguments.

Method Summary
`LibrarySession` | `connect()` Create a LibrarySession.
`protected void` | `Connect()` Create a LibrarySession.
`LibrarySession` | `connect(Credential credential, ConnectOptions options)` Create a LibrarySession, from the specified Credential and ConnectOptions.
`protected void` | `Connect(Credential credential, ConnectOptions options)` Create a LibrarySession, from the specified Credential and ConnectOptions.
`protected void` | `Connect(Credential credential, ConnectOptions options, java.lang.String server)` Create a LibrarySession, from the specified Credential and ConnectOptions.
`protected void` | `Connect(Credential credential, ConnectOptions options, java.lang.String serviceName, java.lang.String password)` Create a LibrarySession, from the specified Credential and ConnectOptions.
`LibrarySession` | `connect(java.lang.String username, java.lang.String password, java.lang.String server)` Create a LibrarySession.
`protected void` | `Connect(java.lang.String username, java.lang.String password, java.lang.String server)` Create a LibrarySession.
`LibrarySession` | `connect(java.lang.String username, java.lang.String password, java.lang.String server, java.lang.String serverPassword)` Create a LibrarySession.
`protected void` | `Connect(java.lang.String username, java.lang.String password, java.lang.String server, java.lang.String serverPassword)` Create a LibrarySession.
`protected void` | `Disconnect()` Disconnect the last session connected with a `connect` method.
`static java.lang.String` | `getCachePerformanceString(LibrarySession session)` Get the cache performance, as a String.
`protected CleartextCredential` | `getCleartextCredential()` create CleartextCredential using username/password information in the Parametertable.
`protected CleartextCredential` | `getCleartextCredential(java.lang.String username, java.lang.String password)` create CleartextCredential using specified username/password.
`static java.lang.String` | `getConnectionPoolPerformanceString(LibrarySession session)` Get the connection pool performance, as a String.
`protected ConnectOptions` | `getConnectOptions()` create ConnectOptions using server information in the Parametertable.
`protected ConnectOptions` | `getConnectOptions(java.lang.String server)` create ConnectOptions using specified server and other information in the Parametertable.
`protected ConnectOptions` | `getConnectOptions(java.lang.String server, java.lang.String dbPassword)` create ConnectOptions using specified server & server password, and other information in the Parametertable.
`protected java.util.Locale` | `getLocale()` Gets the the Locale from ParameterTable settings
`void` | `showCachePerformance(LibrarySession session)` Display the cache performance.
`void` | `showConnectionPoolPerformance(LibrarySession session)` Display the connection pool performance.

Methods inherited from class oracle.ifs.common.BaseMain
`getElapsedTime, getParameterTable, initTrace, log, log, logCurrentTimestamp, printStackTrace, setTimer, showElapsedTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.lang.Runnable
`run`

Field Detail

### m_session

    protected LibrarySession m_session

  Deprecated. save the session that is returned from `connect` methods.
  Description copied from class: `BaseApp`
  The session object that represents the session you are currently running.

  (Unpublished)

### m_currentuser

    protected DirectoryObject m_currentuser

  Deprecated. invoke `getUser` on the session returned from `connect` methods.
  Description copied from class: `BaseApp`
  The user object that represents the user you are currently logged in as.

  (Unpublished)

Constructor Detail

### BaseApp

    public BaseApp(java.lang.String[] args)

  Construct with commandline arguments.

  Parameters:
    `args` - the arguments passed to main.
  (Published)

Method Detail

### connect

    public LibrarySession connect()
                           throws IfsException

  Description copied from class: `BaseApp`
  Create a LibrarySession. This uses a CleartextCredential from username/password information contained in the Parametertable, and a default ConnectOptions from information contained in the Parametertable.

  Throws:
    `IfsException` - if operation fails.
  (Published)

### connect

    public LibrarySession connect(java.lang.String username,
                                  java.lang.String password,
                                  java.lang.String server)
                           throws IfsException

  Description copied from class: `BaseApp`
  Create a LibrarySession. Create a LibrarySession. This uses a CleartextCredential from specified username/password information, and a ConnectOptions from the specified server and additional information contained in the Parametertable.

  Throws:
    `IfsException` - if operation fails.
  (Published)

### connect

    public LibrarySession connect(java.lang.String username,
                                  java.lang.String password,
                                  java.lang.String server,
                                  java.lang.String serverPassword)
                           throws IfsException

  Description copied from class: `BaseApp`
  Create a LibrarySession. This uses a CleartextCredential from specified username/password information, and a ConnectOptions from the specified server & server password, and additional information contained in the Parametertable.

  Throws:
    `IfsException` - if operation fails.
  (Published)

### connect

    public LibrarySession connect(Credential credential,
                                  ConnectOptions options)
                           throws IfsException

  Description copied from class: `BaseApp`
  Create a LibrarySession, from the specified Credential and ConnectOptions.

  Parameters:
    `credential` - supplied credential.
    `options` - Connection options.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### Connect

    protected void Connect()
                    throws IfsException

  Description copied from class: `BaseApp`
  Create a LibrarySession. This uses a CleartextCredential from username/password information contained in the Parametertable, and a default ConnectOptions from information contained in the Parametertable.

  Throws:
    `IfsException` - if operation fails.
  (Published)

### Connect

    protected void Connect(java.lang.String username,
                           java.lang.String password,
                           java.lang.String server)
                    throws IfsException

  Description copied from class: `BaseApp`
  Create a LibrarySession. Create a LibrarySession. This uses a CleartextCredential from specified username/password information, and a ConnectOptions from the specified server and additional information contained in the Parametertable.

  Throws:
    `IfsException` - if operation fails.
  (Published)

### Connect

    protected void Connect(java.lang.String username,
                           java.lang.String password,
                           java.lang.String server,
                           java.lang.String serverPassword)
                    throws IfsException

  Description copied from class: `BaseApp`
  Create a LibrarySession. This uses a CleartextCredential from specified username/password information, and a ConnectOptions from the specified server & server password, and additional information contained in the Parametertable.

  Throws:
    `IfsException` - if operation fails.
  (Published)

### Connect

    protected void Connect(Credential credential,
                           ConnectOptions options)
                    throws IfsException

  Description copied from class: `BaseApp`
  Create a LibrarySession, from the specified Credential and ConnectOptions.

  Parameters:
    `credential` - supplied credential.
    `options` - Connection options.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### Connect

    protected void Connect(Credential credential,
                           ConnectOptions options,
                           java.lang.String server)
                    throws IfsException

  Description copied from class: `BaseApp`
  Create a LibrarySession, from the specified Credential and ConnectOptions.

  Parameters:
    `credential` - supplied credential.
    `options` - Connection options.
    `server` - name of the server
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### Connect

    protected void Connect(Credential credential,
                           ConnectOptions options,
                           java.lang.String serviceName,
                           java.lang.String password)
                    throws IfsException

  Description copied from class: `BaseApp`
  Create a LibrarySession, from the specified Credential and ConnectOptions.

  Parameters:
    `credential` - supplied credential.
    `options` - Connection options.
    `serviceName` - service to connect
    `password` - service password
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getCleartextCredential

    protected CleartextCredential getCleartextCredential()
                                                  throws IfsException

  Description copied from class: `BaseApp`
  create CleartextCredential using username/password information in the Parametertable.

  Returns:
    the CleartextCredential corresponding to the username/password.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getCleartextCredential

    protected CleartextCredential getCleartextCredential(java.lang.String username,
                                                         java.lang.String password)
                                                  throws IfsException

  Description copied from class: `BaseApp`
  create CleartextCredential using specified username/password.

  Parameters:
    `username` - The user name.
    `password` - The user password.
  Returns:
    the CleartextCredential corresponding to the username/password.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getConnectOptions

    protected ConnectOptions getConnectOptions()
                                        throws IfsException

  Description copied from class: `BaseApp`
  create ConnectOptions using server information in the Parametertable.

  Returns:
    the ConnectOptions.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getConnectOptions

    protected ConnectOptions getConnectOptions(java.lang.String server)
                                        throws IfsException

  Description copied from class: `BaseApp`
  create ConnectOptions using specified server and other information in the Parametertable.

  Parameters:
    `server` - The name of the iFS server.
  Returns:
    the ConnectOptions.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getConnectOptions

    protected ConnectOptions getConnectOptions(java.lang.String server,
                                               java.lang.String dbPassword)
                                        throws IfsException

  Description copied from class: `BaseApp`
  create ConnectOptions using specified server & server password, and other information in the Parametertable.

  Parameters:
    `server` - The name of the iFS server.
    `dbPassword` - The password for the iFS server.
  Returns:
    the ConnectOptions.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getLocale

    protected java.util.Locale getLocale()
                                  throws IfsException

  Description copied from class: `BaseApp`
  Gets the the Locale from ParameterTable settings

  Returns:
    the Locale
  Throws:
    `IfsException` - if the operation fails
  (Published)

### Disconnect

    protected void Disconnect()
                       throws IfsException

  Description copied from class: `BaseApp`
  Disconnect the last session connected with a `connect` method.

  Throws:
    `IfsException`
  (Unpublished)

### getCachePerformanceString

    public static java.lang.String getCachePerformanceString(LibrarySession session)
                                                      throws IfsException

  Description copied from class: `BaseApp`
  Get the cache performance, as a String.

  Returns:
    the performance
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showCachePerformance

    public void showCachePerformance(LibrarySession session)
                              throws IfsException

  Description copied from class: `BaseApp`
  Display the cache performance.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### getConnectionPoolPerformanceString

    public static java.lang.String getConnectionPoolPerformanceString(LibrarySession session)
                                                               throws IfsException

  Description copied from class: `BaseApp`
  Get the connection pool performance, as a String.

  Parameters:
    `session` - the LibrarySession to use
  Returns:
    the performance
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showConnectionPoolPerformance

    public void showConnectionPoolPerformance(LibrarySession session)
                                       throws IfsException

  Description copied from class: `BaseApp`
  Display the connection pool performance.

  Parameters:
    `session` - the LibrarySession to use
  Throws:
    `IfsException` - if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD